問題点

インストールフォルダーまたは設定フォルダーの /apps にアップロードされた OSGi の設定およびバンドルの一部が適用されません。

環境

AEM 6.x

原因

問題の原因は、以下のとおりです。

  1. インストールまたは設定フォルダーは、フォルダーツリー内で 4 レベルの深さより深くなっています。このレベルより深いレベルのファイルはインストールされません。
  2. 設定またはバンドルが正しくないか破損しています。
  3. インストールフォルダーまたは設定フォルダーには、インスタンスに適用されない名前の実行モードが含まれます。例えば、config.publishqa または install.publishstage があります。

OSGi インストーラーが不安定な状態です。

解決策

  1. インストールフォルダーまたは設定フォルダーが、4 より大きい深度レベルにある場合。例えば、/apps/sites/siteA/jars/install/foo-1.0.0.jar はインストールされませんが、/apps/siteA/install/foo-1.0.0.jar はインストールされます。
  2. エラーがあるかどうかを確認し、設定またはバンドルが正しくないことを検証するには、error.log を確認します。
  3. フォルダー名に実行モードがある場合は、AEM インスタンスの http://host:port/system/console/status-slingsettings 設定に移動し、正しい実行モードが適用されていることを検証します。
  4. OSGi のインストーラーが正常に動作していないと思われる場合は、この記事を参照し、問題を修正する手順を確認します。

本作品は Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License によってライセンス許可を受けています。  Twitter™ および Facebook の投稿には、Creative Commons の規約内容は適用されません。

法律上の注意   |   プライバシーポリシー